ChartSpecification (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.flow.spec
Class ChartSpecification

    java.lang.Object
      org.maltparser.core.flow.spec.ChartSpecification

    public class ChartSpecification

extends Object

Author:
  Johan Hall

Constructor Summary
`ChartSpecification()`

Method Summary
`void` | `addPostProcessChartItemSpecifications(ChartItemSpecification chartItemSpecification)`
`void` | `addPreProcessChartItemSpecifications(ChartItemSpecification chartItemSpecification)`
`void` | `addProcessChartItemSpecifications(ChartItemSpecification chartItemSpecification)`
`boolean` | `equals(Object obj)`
`String` | `getName()`
`LinkedHashSet<ChartItemSpecification>` | `getPostProcessChartItemSpecifications()`
`LinkedHashSet<ChartItemSpecification>` | `getPreProcessChartItemSpecifications()`
`LinkedHashSet<ChartItemSpecification>` | `getProcessChartItemSpecifications()`
`int` | `hashCode()`
`void` | `read(Element chartElem, FlowChartManager flowCharts)`
`void` | `removePostProcessChartItemSpecifications(ChartItemSpecification chartItemSpecification)`
`void` | `removePreProcessChartItemSpecifications(ChartItemSpecification chartItemSpecification)`
`void` | `removeProcessChartItemSpecifications(ChartItemSpecification chartItemSpecification)`
`void` | `setName(String name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChartSpecification

    public ChartSpecification()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getPreProcessChartItemSpecifications

    public LinkedHashSet<ChartItemSpecification> getPreProcessChartItemSpecifications()

### addPreProcessChartItemSpecifications

    public void addPreProcessChartItemSpecifications(ChartItemSpecification chartItemSpecification)

### removePreProcessChartItemSpecifications

    public void removePreProcessChartItemSpecifications(ChartItemSpecification chartItemSpecification)

### getProcessChartItemSpecifications

    public LinkedHashSet<ChartItemSpecification> getProcessChartItemSpecifications()

### addProcessChartItemSpecifications

    public void addProcessChartItemSpecifications(ChartItemSpecification chartItemSpecification)

### removeProcessChartItemSpecifications

    public void removeProcessChartItemSpecifications(ChartItemSpecification chartItemSpecification)

### getPostProcessChartItemSpecifications

    public LinkedHashSet<ChartItemSpecification> getPostProcessChartItemSpecifications()

### addPostProcessChartItemSpecifications

    public void addPostProcessChartItemSpecifications(ChartItemSpecification chartItemSpecification)

### removePostProcessChartItemSpecifications

    public void removePostProcessChartItemSpecifications(ChartItemSpecification chartItemSpecification)

### read

    public void read(Element chartElem,
                     FlowChartManager flowCharts)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.